#include<bits/stdc++.h>
#define ll long long
#define MAXN 1707
using namespace std;
ll a[MAXN][MAXN];
int b[65]={};
int main()
{
    ios_base::sync_with_stdio();
    cin.tie(0);cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cin>>a[i][j];
        }
    }
    if(n==1)
    {
        for(int i=0;i<m;i++)
        {
            for(int j=0;j<62;j++)
            {
                if(a[0][i]&&(1<<j)) b[j]++;
            }
        }
        ll sol=0;
        for(int i=0;i<62;i++)
        {
            sol+=min(b[i],m-b[i])*(1<<i);
        }
        cout<<sol<<endl;
        return 0;
    }

}